Antville Project

Shutting down

I've got antclick running on linux - now for the stupid question: How do I shut it down?

I also have a problem when uploading images, the request is always timing out. Does anyone know a solution to this?

Thank you!

comment    

 
robert, February 8, 2003 at 3:44:44 PM CET

depends

on how you started antclick: if you started hop.sh as a background-process you'll have to find its process-id (ps aux | grep hop) and then use kill -9 [pid] to stop it. otherwise, with antclick as a foreground shell process, simply use ctrl+c.

reg. image-upload: the easiest way is to run the jvm in "headless mode". for this you have to modify hop.sh: locate the line # JAVA_OPTIONS="-server -Xmx128m" and change it to JAVA_OPTIONS="-Djava.awt.headless=true"

btw.: the current antclick has some bugs which are already fixed in cvs.

link  

 
hns, February 8, 2003 at 5:49:40 PM CET

One addition: headless mode only works with Java 1.4.

link  


... comment
 
hns, February 8, 2003 at 5:47:25 PM CET

Here's a start script of mine

This is on SuSE Linux. On a different distribution you may have a /etc/init.d/skeleton which may serve as a starting point. I can start and stop Helma with

/etc/init.d/hensoville {start|stop|status|restart}

Note that I copied the Java binary from java to javahns so I'm able to shut it down without harming other potentially running Java apps.

#! /bin/sh
#
#  startup script for helma object publisher (hop)
#

. /etc/rc.config

# Determine the base and follow a runlevel link name.
base=${0##*/}
link=${base#*[SK][0-9][0-9]}

export JAVA_HOME=/usr/lib/java
export HOPBASE=/home/hannes/hensoville

# The echo return value for success (defined in /etc/rc.config).
return=$rc_done
case "$1" in
    start)
        echo -n "Starting helma object publisher (hop):"
        startproc -u hannes -g users $HOPBASE/hop.sh || return=$rc_failed
        echo -e "$return"
        ;;
    stop)
        echo -n "Shutting down helma object publisher (hop):"
        killproc -TERM $HOPBASE/hop.sh || return=$rc_failed
        killproc -TERM $JAVA_HOME/bin/javahns || return=$rc_failed
        echo -e "$return"
        ;;
    restart)
        $0 stop  &&  $0 start  ||  return=$rc_failed
        ;;
    status)
        echo -n "Checking for helma object publisher (hop): "
        checkproc $HOPBASE/hop.sh && echo OK || echo No process
        ;;
    *)
        echo "Usage: $0 {start|stop|status|restart}"
        exit 1
esac

# Inform the caller not only verbosely and set an exit status.
test "$return" = "$rc_done" || exit 1
exit 0

link  

 
Boolean, February 9, 2003 at 3:57:50 AM CET

Thank you,

robert and hns. Image uploading works fine now. I already used the kill -9 procedure, but this fails to kill the whole java-stuff. I will try hns' script, but I have to adapt it to Debian (i.e. it does not use /etc/rc.config). I will post it here when it is ready.

thx again!

link  

 
hns, February 10, 2003 at 2:44:30 PM CET

Debian

I happen to have a Debian start script, too. It's not as well tested as the SuSE one, but I think it's ok as a starting point:

#! /bin/sh
#
# skeleton      example file to build /etc/init.d/ scripts.
#               This file should be used to construct scripts for /etc/init.d.
#
#               Written by Miquel van Smoorenburg .
#               Modified for Debian GNU/Linux
#               by Ian Murdock .
#
# Version:      @(#)skeleton  1.9.1  08-Apr-2002  miquels@cistron.nl
#

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/local/antclick-1.0pre4/hop.sh
NAME=antville
DESC="antville"

test -x $DAEMON || exit 0

set -e

case "$1" in
  start)
        echo -n "Starting $DESC: $NAME"
        start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
                --exec $DAEMON --background
        echo "."
        ;;
  stop)
        echo -n "Stopping $DESC: $NAME "
        start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
                --exec $DAEMON
        killall java
        echo "."
        ;;
  #reload)
        #
        #       If the daemon can reload its config files on the fly
        #       for example by sending it SIGHUP, do it here.
        #
        #       If the daemon responds to changes in its config file
        #       directly anyway, make this a do-nothing entry.
        #
        # echo -n "Reloading $DESC configuration..."
        # start-stop-daemon --stop --signal 1 --quiet --pidfile \
        #       /var/run/$NAME.pid --exec $DAEMON
        # echo "done."
  #;;
  restart|force-reload)
        #
        #       If the "reload" option is implemented, move the "force-reload"
        #       option to the "reload" entry above. If not, "force-reload" is
        #       just the same as "restart".
        #
        echo -n "Restarting $DESC: $NAME"
        start-stop-daemon --stop --quiet --pidfile \
                /var/run/$NAME.pid --exec $DAEMON
        sleep 1
        start-stop-daemon --start --quiet --pidfile \
                /var/run/$NAME.pid --exec $DAEMON
        echo "."
        ;;
  *)
        N=/etc/init.d/$NAME
        # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
        echo "Usage: $N {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0

link  


... comment


The Antville Server Fund has been a great success. Thanks to everybody who contributed!
online for 8549 Days
last updated: 1/4/11, 10:22 AM
status
Youre not logged in ... Login
menu
November 2024
SunMonTueWedThuFriSat
12
3456789
10111213141516
17181920212223
24252627282930
July
recent
zfuture's house here is zfuture's
house
by zfuture (7/31/03, 2:59 AM)
i understand your concerns however,
i hardly can think of a solution. certainly, if the...
by tobi (7/29/03, 9:47 AM)
Found several more similar sites
listed This is getting to be quite a concern to...
by cobalt123 (7/27/03, 7:56 PM)
Second Post Alert on Referrer
bug livecatz I put this into "help" and now here:...
by cobalt123 (7/26/03, 7:14 PM)
well it's not easy to
find from here, anyway. think we should include a link,...
by tobi (7/24/03, 11:25 AM)
So finally I found
the helma Bugzilla - stupid me.
by mdornseif (7/24/03, 10:28 AM)
clock not that it's particularly
earthshattering but the antclock is running slow by about 15...
by kohlehydrat (7/23/03, 8:25 PM)
but blogosphere.us isn't can't really
be rated as spam can it?
by kohlehydrat (7/23/03, 8:08 PM)
More referrer spam www.webfrost.com
by Irene (7/23/03, 7:55 PM)
How to log skin names
I accessed to console?? Hi, I would like to know...
by winson (7/23/03, 4:12 PM)

Click here to get an XML version of this weblog.

Made with Antville
powered by
Helma Object Publisher